Parameters
11 endpoints
POST /api/v5/artifacts/parameters/get
Get Parameter
Get parameter information using the canonical shared parameter operation.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
parameter_id?: `string` | `null`
draft_id?: `string` | `null`
}Response:
{
actor_name?: `string` | `null`
parameter_exists?: `boolean` | `null`
can_edit?: `boolean` | `null`
disabled_reason?: `string` | `null`
draft_version?: `integer` | `null`
group_id?: `string` | `null`
basic_show_ai_generate?: `boolean` | `null`
fields_step_show_ai_generate?: `boolean` | `null`
names?: `ParameterNameSection` | `null`
descriptions?: `ParameterDescriptionSection` | `null`
flags?: `ParameterFlagSection` | `null`
departments?: `ParameterDepartmentSection` | `null`
fields?: `ParameterFieldSection` | `null`
}POST /api/v5/artifacts/parameters/search
Search Parameter
Search parameters — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
search?: `string` | `null`
scenario_ids?: `string`[] | `null`
field_ids?: `string`[] | `null`
filter_department_ids?: `string`[] | `null`
scenario_search?: `string` | `null`
field_search?: `string` | `null`
department_search?: `string` | `null`
page_size?: `integer` | `null`
page_offset?: `integer` | `null`
}Response:
{
actor_name?: `string` | `null`
parameters?: `ListParameterApiParameter`[] | `null`
scenario_filter?: `ListFilterSection` | `null`
field_filter?: `ListFilterSection` | `null`
department_filter?: `ListFilterSection` | `null`
total_count?: `integer` | `null`
}POST /api/v5/artifacts/parameters/create
Create Parameter
Create parameters using composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
parameters: `CreateParameterItem`[]
}Response:
{
results: `ParameterResultItem`[]
}POST /api/v5/artifacts/parameters/update
Update Parameter
Update parameters using composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
parameters: `UpdateParameterItem`[]
}Response:
{
results: `ParameterResultItem`[]
}POST /api/v5/artifacts/parameters/duplicate
Duplicate Parameter
Duplicate a parameter — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
parameter_id: `string`
}Response:
{
success: `boolean`
parameter_id: `string`
message: `string`
}POST /api/v5/artifacts/parameters/delete
Delete Parameter
Bulk delete parameters — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
parameter_ids: `string`[]
}Response:
{
results: `DeleteParameterResult`[]
}PATCH /api/v5/artifacts/parameters/draft
Patch Parameter Draft
Patch parameter draft — composable infra architecture.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
input_draft_id?: `string` | `null`
expected_version?: `integer`
name?: `string` | `null`
name_id?: `string` | `null`
description?: `string` | `null`
description_id?: `string` | `null`
flag_ids?: `string`[] | `null`
department_ids?: `string`[] | `null`
field_ids?: `string`[] | `null`
}Response:
{
success: `boolean`
draft_id: `string`
new_version: `integer`
message: `string`
form_state?: `ParameterDraftFormState` | `null`
}POST /api/v5/artifacts/parameters/drafts
Get Parameter Drafts
List parameter drafts owned by the current profile.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Response:
{
entries?: `GetParameterDraftResponse`[] | `null`
}POST /api/v5/artifacts/parameters/docs
Get Parameter Docs Endpoint
Get composed documentation for the parameter artifact.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
entity_id?: `string` | `null`
}Response:
{
name: `string`
type: `string`
description: `string`
artifact?: `DocsResponse` | `null`
entries: `DocsResponse`[]
resources: `DocsResponse`[]
permissions: `OperationInfo`[]
api_operations: `OperationInfo`[]
page_metadata?: `DocsApiResponse` | `null`
}POST /api/v5/artifacts/parameters/export
Export Parameters
Export all parameters as a clean, denormalized CSV.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Request body:
{
parameter_id?: `string` | `null`
}Response:
{
upload_id: `string`
file_name: `string`
row_count: `integer`
}POST /api/v5/artifacts/parameters/refresh
Parameter Refresh
Refresh parameter materialized views and invalidate caches.
Parameters:
| Name | In | Required | Description |
|---|---|---|---|
X-Api-Key | header | No | — |
authorization | header | No | — |
X-MCP | header | No | — |
Response:
{
success: `boolean`
refreshed_views: `string`[]
invalidated_tags: `string`[]
}